<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku:  Fichier source de src/Plateau.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Plateau.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_plateau_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Loan Caecke on 2019-04-29.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef PROJETCPPGL_PLATEAU_HPP</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define PROJETCPPGL_PLATEAU_HPP</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_point_8hpp.html">Point.hpp</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_constantes_8hpp.html">Constantes.hpp</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="class_plateau.html">   13</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_plateau.html">Plateau</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <a class="code" href="class_point.html">Point</a>* cases[<a class="code" href="struct_constantes.html#a6973aaa853c692ea0af0954d4265b352">Constantes::NB_LIGNES</a>][<a class="code" href="struct_constantes.html#a86fda8179843edadeb33ad61c65bae21">Constantes::NB_COLONNES</a>];</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <a class="code" href="class_plateau.html#a07026170529dd928238ee45de0a797d7">Plateau</a>();</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_plateau.html#a0a4fbd18042b9d89a8e4e8e46aea0f25">setPionAt</a>(<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">const</span> <a class="code" href="class_point.html">Point</a>* <a class="code" href="class_plateau.html#ab1e2153e5ea741119012fd01ab4677dd">getPionAt</a>(<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y) <span class="keyword">const</span>;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_plateau.html#a389352cb35c9b69d047450810f523d8a">coupAutorise</a>(<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_plateau.html#a1cb087d154a06586b63e9664fe777197">afficher</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_plateau.html#a73c386076bce288714410059e5308abc">reinit</a>();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_plateau.html#a831ab782ef48c2cd5b25af9bd07f7306">checkVertical</a>();</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_plateau.html#a8ddb18540b78d801c6297b7769cbeb21">checkHorizontal</a>();</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_plateau.html#a7efae1b55ca65e8e87da45920761ed0c">checkDiagonale</a>(<span class="keywordtype">int</span> x,<span class="keywordtype">int</span> y);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="class_plateau.html#a0e6ae72e4d7e9923f996c1247e6a6c8b">~Plateau</a>();</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;};</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="preprocessor">#endif //PROJETCPPGL_PLATEAU_HPP</span></div><div class="ttc" id="_constantes_8hpp_html"><div class="ttname"><a href="_constantes_8hpp.html">Constantes.hpp</a></div></div>
<div class="ttc" id="class_plateau_html_a0a4fbd18042b9d89a8e4e8e46aea0f25"><div class="ttname"><a href="class_plateau.html#a0a4fbd18042b9d89a8e4e8e46aea0f25">Plateau::setPionAt</a></div><div class="ttdeci">void setPionAt(int x, int y, Couleur couleur)</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:46</div></div>
<div class="ttc" id="class_plateau_html_a07026170529dd928238ee45de0a797d7"><div class="ttname"><a href="class_plateau.html#a07026170529dd928238ee45de0a797d7">Plateau::Plateau</a></div><div class="ttdeci">Plateau()</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:8</div></div>
<div class="ttc" id="class_plateau_html_ab1e2153e5ea741119012fd01ab4677dd"><div class="ttname"><a href="class_plateau.html#ab1e2153e5ea741119012fd01ab4677dd">Plateau::getPionAt</a></div><div class="ttdeci">const Point * getPionAt(int x, int y) const</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:53</div></div>
<div class="ttc" id="class_plateau_html_a73c386076bce288714410059e5308abc"><div class="ttname"><a href="class_plateau.html#a73c386076bce288714410059e5308abc">Plateau::reinit</a></div><div class="ttdeci">void reinit()</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:25</div></div>
<div class="ttc" id="_point_8hpp_html"><div class="ttname"><a href="_point_8hpp.html">Point.hpp</a></div></div>
<div class="ttc" id="class_plateau_html_a831ab782ef48c2cd5b25af9bd07f7306"><div class="ttname"><a href="class_plateau.html#a831ab782ef48c2cd5b25af9bd07f7306">Plateau::checkVertical</a></div><div class="ttdeci">bool checkVertical()</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:77</div></div>
<div class="ttc" id="class_plateau_html_a8ddb18540b78d801c6297b7769cbeb21"><div class="ttname"><a href="class_plateau.html#a8ddb18540b78d801c6297b7769cbeb21">Plateau::checkHorizontal</a></div><div class="ttdeci">bool checkHorizontal()</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:93</div></div>
<div class="ttc" id="class_plateau_html_a0e6ae72e4d7e9923f996c1247e6a6c8b"><div class="ttname"><a href="class_plateau.html#a0e6ae72e4d7e9923f996c1247e6a6c8b">Plateau::~Plateau</a></div><div class="ttdeci">virtual ~Plateau()</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:17</div></div>
<div class="ttc" id="class_plateau_html_a7efae1b55ca65e8e87da45920761ed0c"><div class="ttname"><a href="class_plateau.html#a7efae1b55ca65e8e87da45920761ed0c">Plateau::checkDiagonale</a></div><div class="ttdeci">bool checkDiagonale(int x, int y)</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:107</div></div>
<div class="ttc" id="_couleur_8hpp_html_aa304d0ca681f782b1d7735da33037dd7"><div class="ttname"><a href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a></div><div class="ttdeci">Couleur</div><div class="ttdef"><b>Definition:</b> Couleur.hpp:12</div></div>
<div class="ttc" id="class_plateau_html_a1cb087d154a06586b63e9664fe777197"><div class="ttname"><a href="class_plateau.html#a1cb087d154a06586b63e9664fe777197">Plateau::afficher</a></div><div class="ttdeci">void afficher() const</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:35</div></div>
<div class="ttc" id="class_plateau_html_a389352cb35c9b69d047450810f523d8a"><div class="ttname"><a href="class_plateau.html#a389352cb35c9b69d047450810f523d8a">Plateau::coupAutorise</a></div><div class="ttdeci">bool coupAutorise(int x, int y)</div><div class="ttdef"><b>Definition:</b> Plateau.cpp:60</div></div>
<div class="ttc" id="class_plateau_html"><div class="ttname"><a href="class_plateau.html">Plateau</a></div><div class="ttdef"><b>Definition:</b> Plateau.hpp:13</div></div>
<div class="ttc" id="struct_constantes_html_a6973aaa853c692ea0af0954d4265b352"><div class="ttname"><a href="struct_constantes.html#a6973aaa853c692ea0af0954d4265b352">Constantes::NB_LIGNES</a></div><div class="ttdeci">static const int NB_LIGNES</div><div class="ttdef"><b>Definition:</b> Constantes.hpp:16</div></div>
<div class="ttc" id="struct_constantes_html_a86fda8179843edadeb33ad61c65bae21"><div class="ttname"><a href="struct_constantes.html#a86fda8179843edadeb33ad61c65bae21">Constantes::NB_COLONNES</a></div><div class="ttdeci">static const int NB_COLONNES</div><div class="ttdef"><b>Definition:</b> Constantes.hpp:21</div></div>
<div class="ttc" id="class_point_html"><div class="ttname"><a href="class_point.html">Point</a></div><div class="ttdef"><b>Definition:</b> Point.hpp:13</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
